﻿import { LevelManager } from "./LevelManager"

@Component
export default class DeathBlock extends Script {

    /** 当脚本被实例后，会在第一帧更新前调用此函数 */
    protected onStart(): void {

        // 当角色 碰到方块 就让角色死亡

        // 碰到！

        let model =  this.gameObject as Model
        model.onTouch.add((other:GameObject)=>{
            if(other instanceof Character){
                // 让角色死亡
                LevelManager.instance.charDeath(other)
            }
        })
    }

    /**
     * 周期函数 每帧执行
     * 此函数执行需要将this.useUpdate赋值为true
     * @param dt 当前帧与上一帧的延迟 / 秒
     */
    protected onUpdate(dt: number): void {

    }

    /** 脚本被销毁时最后一帧执行完调用此函数 */
    protected onDestroy(): void {

    }
}