'use strict';

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
/* global Reflect, Promise */


function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}

class LevelData extends Subdata {
    initDefaultData() {
        this.pointNumber = 0;
    }
}
__decorate([
    Decorator.persistence()
], LevelData.prototype, "pointNumber", void 0);

var foreign5 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    LevelData: LevelData
});

/**
 * AUTO GENERATE BY UI EDITOR.
 * WARNING: DO NOT MODIFY THIS FILE,MAY CAUSE CODE LOST.
 * UI: UI/GameUI.ui
*/
let GameUI_Generate = class GameUI_Generate extends UIScript {
    get mBG() {
        if (!this.mBG_Internal && this.uiWidgetBase) {
            this.mBG_Internal = this.uiWidgetBase.findChildByPath('RootCanvas/mBG');
        }
        return this.mBG_Internal;
    }
    get mTextBlock() {
        if (!this.mTextBlock_Internal && this.uiWidgetBase) {
            this.mTextBlock_Internal = this.uiWidgetBase.findChildByPath('RootCanvas/mTextBlock');
        }
        return this.mTextBlock_Internal;
    }
    get mLevelProgress() {
        if (!this.mLevelProgress_Internal && this.uiWidgetBase) {
            this.mLevelProgress_Internal = this.uiWidgetBase.findChildByPath('RootCanvas/mLevelProgress');
        }
        return this.mLevelProgress_Internal;
    }
    get mLevelText() {
        if (!this.mLevelText_Internal && this.uiWidgetBase) {
            this.mLevelText_Internal = this.uiWidgetBase.findChildByPath('RootCanvas/mLevelText');
        }
        return this.mLevelText_Internal;
    }
    /**
    * onStart 之前触发一次
    */
    onAwake() {
    }
};
GameUI_Generate = __decorate([
    UIBind('UI/GameUI.ui')
], GameUI_Generate);
var GameUI_Generate$1 = GameUI_Generate;

var foreign10 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    default: GameUI_Generate$1
});

class GameUI extends GameUI_Generate$1 {
    constructor() {
        super(...arguments);
        /**最大关卡数 */
        this.maxLevelNum = 0;
        /**当前关卡数 */
        this.nowLevelNum = 0;
    }
    onAwake() {
        this.mBG.visibility = SlateVisibility.Hidden;
        this.mTextBlock.visibility = SlateVisibility.Hidden;
        Event.addLocalListener("Victory", () => {
            this.mBG.visibility = SlateVisibility.Visible;
            this.mTextBlock.visibility = SlateVisibility.Visible;
            this.mTextBlock.text = "胜利啦！";
            setTimeout(() => {
                this.mBG.visibility = SlateVisibility.Hidden;
                this.mTextBlock.visibility = SlateVisibility.Hidden;
                LevelManager.instance.jumpToPoint(1);
            }, 3000);
        });
        Event.addLocalListener("Death", () => {
            this.mBG.visibility = SlateVisibility.Visible;
            this.mTextBlock.visibility = SlateVisibility.Visible;
            let time = 3;
            this.mTextBlock.text = time.toString();
            let handle = setInterval(() => {
                if (time == 1) {
                    clearInterval(handle);
                    this.mBG.visibility = SlateVisibility.Hidden;
                    this.mTextBlock.visibility = SlateVisibility.Hidden;
                }
                time--;
                this.mTextBlock.text = time.toString();
            }, 1000);
        });
        Event.addLocalListener("CheckPoint", (chekPoint) => {
            this.nowLevelNum = chekPoint.pointNumber;
            // 更新进度条
            this.freshProgress();
        });
    }
    onShow(maxLevelNum, nowLevelNum) {
        // 最大关卡数
        this.maxLevelNum = maxLevelNum;
        // 当前关卡数
        this.nowLevelNum = nowLevelNum;
        this.freshProgress();
    }
    freshProgress() {
        if (this.nowLevelNum == -1) {
            this.mLevelText.text = "第" + this.maxLevelNum + "关";
            this.mLevelProgress.currentValue = 1;
            return;
        }
        this.mLevelText.text = "第" + this.nowLevelNum + "关";
        this.mLevelProgress.currentValue = this.nowLevelNum / this.maxLevelNum;
    }
}

var foreign7 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    default: GameUI
});

/**
 * 关卡管理器
 */
class LevelManager {
    constructor() {
        /**复活位置 */
        this._rebornPosition = new Vector(10, 0, 420);
        /**所有的检查点脚本 */
        this.checkPointMap = new Map();
        /**上一个检查点的序号 */
        this.lastPointNumber = 0;
    }
    static get instance() {
        if (LevelManager._instacne == null) {
            LevelManager._instacne = new LevelManager();
        }
        return LevelManager._instacne;
    }
    async init() {
        this._deathTrigger = await GameObject.asyncFindGameObjectById("299CDDA6");
        this._deathTrigger.onEnter.add((other) => {
            // 当进入的物体是角色类型
            if (other instanceof Character) {
                // 让角色死亡
                this.charDeath(other);
            }
        });
        Event.addLocalListener("CheckPoint", (checkPointTrigger) => {
            // 当角色进入新关卡的时候，存储新关卡
            if (checkPointTrigger.pointNumber > this.lastPointNumber) {
                // 存储数据
                Event.dispatchToServer("SavePoint", checkPointTrigger.pointNumber);
            }
            this._rebornPosition = checkPointTrigger.gameObject.worldTransform.position.clone();
            this.lastPointNumber = checkPointTrigger.pointNumber;
        });
        // 等待数据中心准备完毕
        await DataCenterC.ready();
        UIService.show(GameUI, this.checkPointMap.size, 0);
        // 通过客户端数据中心，获取数据
        let pointNumber = DataCenterC.getData(LevelData).pointNumber;
        // 让角色跳关
        this.jumpToPoint(pointNumber);
    }
    /**让角色死亡 */
    charDeath(char) {
        // 开启布娃娃属性
        char.ragdollEnabled = true;
        // 播放特效
        EffectService.playAtPosition("27421", char.worldTransform.position);
        // 播放音效
        SoundService.playSound("120841");
        setTimeout(() => {
            // 让角色复活
            this.charReborn(char);
        }, 3000);
        if (char == Player.localPlayer.character) {
            Event.dispatchToLocal("Death");
        }
    }
    /**让角色复活 */
    charReborn(char) {
        if (char == Player.localPlayer.character) {
            // 将角色的位置改变到复活点
            char.worldTransform.position = this._rebornPosition.clone();
        }
        // 关闭布娃娃属性
        char.ragdollEnabled = false;
    }
    /**
     * 跳转到指定关卡
     * @param pointNumber 关卡号
     */
    jumpToPoint(pointNumber = this.lastPointNumber) {
        // 实现跳转
        let checkPoint = this.checkPointMap.get(pointNumber);
        if (checkPoint) {
            Player.localPlayer.character.worldTransform.position = checkPoint.gameObject.worldTransform.position.clone();
        }
    }
}

var foreign6 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    LevelManager: LevelManager
});

let CheckPointTrigger = class CheckPointTrigger extends Script {
    constructor() {
        super(...arguments);
        this.pointNumber = 0;
    }
    /** 当脚本被实例后，会在第一帧更新前调用此函数 */
    onStart() {
        LevelManager.instance.checkPointMap.set(this.pointNumber, this);
        let trigger = this.gameObject;
        trigger.onEnter.add((other) => {
            // 进入的物体是否是角色
            if (other instanceof Character) {
                // 进入的角色 是否是 当前客户端角色
                if (other == Player.localPlayer.character) {
                    // 本地事件通信（派发）
                    Event.dispatchToLocal("CheckPoint", this);
                    // 播放特效
                    EffectService.playAtPosition("89097", this.gameObject.worldTransform.position);
                    // 播放音效
                    SoundService.playSound("38193");
                }
                if (this.pointNumber == -1) {
                    // 播放动作
                    other.loadAnimation("14509").play();
                    // 播放特效
                    EffectService.playAtPosition("142750", this.gameObject.worldTransform.position);
                    // 播放音效
                    SoundService.playSound("47425");
                    if (other == Player.localPlayer.character) {
                        Event.dispatchToLocal("Victory");
                    }
                }
            }
        });
    }
    /**
     * 周期函数 每帧执行
     * 此函数执行需要将this.useUpdate赋值为true
     * @param dt 当前帧与上一帧的延迟 / 秒
     */
    onUpdate(dt) {
    }
    /** 脚本被销毁时最后一帧执行完调用此函数 */
    onDestroy() {
    }
};
__decorate([
    Property({ displayName: "序号" })
], CheckPointTrigger.prototype, "pointNumber", void 0);
CheckPointTrigger = __decorate([
    Component
], CheckPointTrigger);
var CheckPointTrigger$1 = CheckPointTrigger;

var foreign1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    default: CheckPointTrigger$1
});

let DeathBlock = class DeathBlock extends Script {
    /** 当脚本被实例后，会在第一帧更新前调用此函数 */
    onStart() {
        // 当角色 碰到方块 就让角色死亡
        // 碰到！
        let model = this.gameObject;
        model.onTouch.add((other) => {
            if (other instanceof Character) {
                // 让角色死亡
                LevelManager.instance.charDeath(other);
            }
        });
    }
    /**
     * 周期函数 每帧执行
     * 此函数执行需要将this.useUpdate赋值为true
     * @param dt 当前帧与上一帧的延迟 / 秒
     */
    onUpdate(dt) {
    }
    /** 脚本被销毁时最后一帧执行完调用此函数 */
    onDestroy() {
    }
};
DeathBlock = __decorate([
    Component
], DeathBlock);
var DeathBlock$1 = DeathBlock;

var foreign2 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    default: DeathBlock$1
});

let DefaultUI = class DefaultUI extends UIScript {
    constructor() {
        super(...arguments);
        this.anim1 = null;
        /**
        * 每一帧调用
        * 通过canUpdate可以开启关闭调用
        * dt 两帧调用的时间差，毫秒
        */
        //protected onUpdate(dt :number) {
        //}
        /**
         * 设置显示时触发
         */
        //protected onShow(...params:any[]) {
        //}
        /**
         * 设置不显示时触发
         */
        //protected onHide() {
        //}
        /**
         * 当这个UI界面是可以接收事件的时候
         * 手指或则鼠标触发一次Touch时触发
         * 返回事件是否处理了
         * 如果处理了，那么这个UI界面可以接收这次Touch后续的Move和End事件
         * 如果没有处理，那么这个UI界面就无法接收这次Touch后续的Move和End事件
         */
        //protected onTouchStarted(InGemotry :Geometry,InPointerEvent:PointerEvent) :EventReply{
        //	return EventReply.unHandled; //EventReply.handled
        //}
        /**
         * 手指或则鼠标再UI界面上移动时
         */
        //protected onTouchMoved(InGemotry :Geometry,InPointerEvent:PointerEvent) :EventReply{
        //	return EventReply.unHandled; //EventReply.handled
        //}
        /**
         * 手指或则鼠标离开UI界面时
         */
        //protected OnTouchEnded(InGemotry :Geometry,InPointerEvent:PointerEvent) :EventReply{
        //	return EventReply.unHandled; //EventReply.handled
        //}
        /**
         * 当在UI界面上调用detectDrag/detectDragIfPressed时触发一次
         * 可以触发一次拖拽事件的开始生成
         * 返回一次生成的拖拽事件 newDragDrop可以生成一次事件
         */
        //protected onDragDetected(InGemotry :Geometry,InPointerEvent:PointerEvent):DragDropOperation {
        //	return this.newDragDrop(null);
        //}
        /**
         * 拖拽操作生成事件触发后经过这个UI时触发
         * 返回true的话表示处理了这次事件，不会再往这个UI的下一层的UI继续冒泡这个事件
         */
        //protected onDragOver(InGemotry :Geometry,InDragDropEvent:PointerEvent,InDragDropOperation:DragDropOperation):boolean {
        //	return true;
        //}
        /**
         * 拖拽操作生成事件触发后在这个UI释放完成时
         * 返回true的话表示处理了这次事件，不会再往这个UI的下一层的UI继续冒泡这个事件
         */
        //protected onDrop(InGemotry :Geometry,InDragDropEvent:PointerEvent,InDragDropOperation:DragDropOperation):boolean {
        //	return true;
        //}
        /**
         * 拖拽操作生成事件触发后进入这个UI时触发
         */
        //protected onDragEnter(InGemotry :Geometry,InDragDropEvent:PointerEvent,InDragDropOperation:DragDropOperation) {
        //}
        /**
         * 拖拽操作生成事件触发后离开这个UI时触发
         */
        //protected onDragLeave(InGemotry :Geometry,InDragDropEvent:PointerEvent) {
        //}
        /**
         * 拖拽操作生成事件触发后，没有完成完成的拖拽事件而取消时触发
         */
        //protected onDragCancelled(InGemotry :Geometry,InDragDropEvent:PointerEvent) {
        //}
    }
    /** 仅在游戏时间对非模板实例调用一次 */
    onStart() {
        //设置能否每帧触发onUpdate
        this.canUpdate = false;
        //找到对应的跳跃按钮
        const jumpBtn = this.uiWidgetBase.findChildByPath('RootCanvas/Button_Jump');
        const attackBtn = this.uiWidgetBase.findChildByPath('RootCanvas/Button_Attack');
        //点击跳跃按钮,异步获取人物后执行跳跃
        jumpBtn.onPressed.add(() => {
            if (this.character) {
                this.character.jump();
            }
            else {
                Player.asyncGetLocalPlayer().then((player) => {
                    this.character = player.character;
                    //角色执行跳跃功能
                    this.character.jump();
                });
            }
        });
        //点击攻击按钮,异步获取人物后执行攻击动作
        attackBtn.onPressed.add(() => {
            Player.asyncGetLocalPlayer().then((player) => {
                this.character = player.character;
                AssetUtil.asyncDownloadAsset("61245").then((res) => {
                    if (res) {
                        if (!this.anim1) {
                            this.anim1 = player.character.loadAnimation("61245");
                            this.anim1.slot = AnimSlot.Upper;
                        }
                        //角色执行攻击动作
                        if (this.anim1.isPlaying) {
                            return;
                        }
                        else {
                            this.anim1.play();
                        }
                    }
                });
            });
        });
    }
    /**
     * 构造UI文件成功后，onStart之后
     * 对于UI的根节点的添加操作，进行调用
     * 注意：该事件可能会多次调用
     */
    onAdded() {
    }
    /**
     * 构造UI文件成功后，onAdded之后
     * 对于UI的根节点的移除操作，进行调用
     * 注意：该事件可能会多次调用
     */
    onRemoved() {
    }
    /**
    * 构造UI文件成功后，UI对象再被销毁时调用
    * 注意：这之后UI对象已经被销毁了，需要移除所有对该文件和UI相关对象以及子对象的引用
    */
    onDestroy() {
    }
};
DefaultUI = __decorate([
    UIBind('')
], DefaultUI);
var DefaultUI$1 = DefaultUI;

var foreign3 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    default: DefaultUI$1
});

/**
 * AUTO GENERATE BY UI EDITOR.
 * WARNING: DO NOT MODIFY THIS FILE,MAY CAUSE CODE LOST.
 * UI: UI/HelperUI.ui
*/
let HelperUI_Generate = class HelperUI_Generate extends UIScript {
    get mRest_btn() {
        if (!this.mRest_btn_Internal && this.uiWidgetBase) {
            this.mRest_btn_Internal = this.uiWidgetBase.findChildByPath('RootCanvas/mRest_btn');
        }
        return this.mRest_btn_Internal;
    }
    get mJump_btn() {
        if (!this.mJump_btn_Internal && this.uiWidgetBase) {
            this.mJump_btn_Internal = this.uiWidgetBase.findChildByPath('RootCanvas/mJump_btn');
        }
        return this.mJump_btn_Internal;
    }
    get mJump_input() {
        if (!this.mJump_input_Internal && this.uiWidgetBase) {
            this.mJump_input_Internal = this.uiWidgetBase.findChildByPath('RootCanvas/mJump_input');
        }
        return this.mJump_input_Internal;
    }
    get mLeaderBoard_btn() {
        if (!this.mLeaderBoard_btn_Internal && this.uiWidgetBase) {
            this.mLeaderBoard_btn_Internal = this.uiWidgetBase.findChildByPath('RootCanvas/mLeaderBoard_btn');
        }
        return this.mLeaderBoard_btn_Internal;
    }
    /**
    * onStart 之前触发一次
    */
    onAwake() {
    }
};
HelperUI_Generate = __decorate([
    UIBind('UI/HelperUI.ui')
], HelperUI_Generate);
var HelperUI_Generate$1 = HelperUI_Generate;

var foreign11 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    default: HelperUI_Generate$1
});

class HelperUI extends HelperUI_Generate$1 {
    onAwake() {
        // 复位功能
        this.mRest_btn.onClicked.add(() => {
            LevelManager.instance.jumpToPoint();
        });
        // 跳关功能
        this.mJump_btn.onClicked.add(() => {
            LevelManager.instance.jumpToPoint(Number(this.mJump_input.text));
        });
        this.mLeaderBoard_btn.onClicked.add(() => {
            LeaderboardModule.showPanel();
        });
    }
}

var foreign8 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    HelperUI: HelperUI
});

/**所有的排行榜字段 */
var FieldType;
(function (FieldType) {
    FieldType[FieldType["Name"] = 0] = "Name";
    FieldType[FieldType["PointNumber"] = 1] = "PointNumber";
})(FieldType || (FieldType = {}));
let GameStart = class GameStart extends Script {
    /** 当脚本被实例后，会在第一帧更新前调用此函数 */
    async onStart() {
        if (SystemUtil.isClient()) {
            LevelManager.instance.init();
            UIService.show(HelperUI);
            // 将头顶昵称设置为233昵称
            const player = Player.localPlayer;
            // 当游戏运行在编辑器上，是获取不到233昵称的
            if (SystemUtil.isPIE) {
                player.character.displayName = "玩家名" + player.userId;
            }
            else {
                player.character.displayName = AccountService.getNickName();
            }
        }
        if (SystemUtil.isServer()) {
            // 设置存储环境
            DataStorage.setTemporaryStorage(SystemUtil.isPIE);
            // 数据存储逻辑
            Event.addClientListener("SavePoint", (player, pointNumber) => {
                // 使用数据中心存储数据
                // 改变数据
                DataCenterS.getData(player, LevelData).pointNumber = pointNumber;
                // 存储数据
                DataCenterS.getData(player, LevelData).save(true);
                LeaderboardModule.setPlayerValue(player, FieldType.PointNumber, pointNumber);
                LeaderboardModule.setPlayerValue(player, FieldType.Name, player.character.displayName);
            });
            // 在服务端设置排行榜的样式
            LeaderboardModule.setStyle("排行榜", true, 10, 5);
            // 设置排行榜的字段（玩家名称，关卡号）
            LeaderboardModule.addField(FieldType.Name, "玩家名");
            LeaderboardModule.addField(FieldType.PointNumber, "关卡号");
            LeaderboardModule.showRankField("排名", null, "未上榜");
            // 当玩家进入游戏，向排行榜添加一条数据
            Player.onPlayerJoin.add((player) => {
                LeaderboardModule.addPlayer(player);
            });
            // 当玩家退出游戏，将数据从排行榜上删除
            Player.onPlayerLeave.add((player) => {
                LeaderboardModule.removePlayer(player);
            });
        }
    }
    /**
     * 周期函数 每帧执行
     * 此函数执行需要将this.useUpdate赋值为true
     * @param dt 当前帧与上一帧的延迟 / 秒
     */
    onUpdate(dt) {
    }
    /** 脚本被销毁时最后一帧执行完调用此函数 */
    onDestroy() {
    }
};
GameStart = __decorate([
    Component
], GameStart);
var GameStart$1 = GameStart;

var foreign4 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    get FieldType () { return FieldType; },
    default: GameStart$1
});

/**
 * AUTO GENERATE BY UI EDITOR.
 * WARNING: DO NOT MODIFY THIS FILE,MAY CAUSE CODE LOST.
 * UI: UI/DefaultUI.ui
*/
let DefaultUI_Generate = class DefaultUI_Generate extends UIScript {
    /**
    * onStart 之前触发一次
    */
    onAwake() {
    }
};
DefaultUI_Generate = __decorate([
    UIBind('UI/DefaultUI.ui')
], DefaultUI_Generate);
var DefaultUI_Generate$1 = DefaultUI_Generate;

var foreign9 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    default: DefaultUI_Generate$1
});

/**
 * AUTO GENERATE BY UI EDITOR.
 * WARNING: DO NOT MODIFY THIS FILE,MAY CAUSE CODE LOST.
 * UI: UI/SayHellow.ui
*/
let SayHellow_Generate = class SayHellow_Generate extends UIScript {
    /**
    * onStart 之前触发一次
    */
    onAwake() {
    }
};
SayHellow_Generate = __decorate([
    UIBind('UI/SayHellow.ui')
], SayHellow_Generate);
var SayHellow_Generate$1 = SayHellow_Generate;

var foreign12 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    default: SayHellow_Generate$1
});

const MWModuleMap = { 
     'D4794AF848A676F9A08D049D147C6920': foreign1,
     '7D071CF74CA6C66A356EBC82C484FED6': foreign2,
     'E793F4E748068B7014AF149815249190': foreign3,
     'F76A738346B138C78187EBB01AB48DF8': foreign4,
     '9AAAD9D44807AE439977BE856E05E01F': foreign5,
     '513BB16D42971AFA5551128EFADD8C85': foreign6,
     'F2707BF14BF17CB67DEE9D9A1AEFB72E': foreign7,
     '635989E94431C2F2FD45118FC974C862': foreign8,
     'F3AC70474856B87303C710BF633F6EB9': foreign9,
     '8A74F9D84BAC7C365F67BDB29EECAE13': foreign10,
     'F0F72123499AD61DDC35E7863C3715F6': foreign11,
     'B5EB66D24CEFBE11E32B2C84D723F1D3': foreign12,
};
const MWFileMapping = new WeakMap([[foreign1 || {}, "JavaScripts/CheckPointTrigger"],
[foreign2 || {}, "JavaScripts/DeathBlock"],
[foreign3 || {}, "JavaScripts/DefaultUI"],
[foreign4 || {}, "JavaScripts/GameStart"],
[foreign5 || {}, "JavaScripts/LevelData"],
[foreign6 || {}, "JavaScripts/LevelManager"],
[foreign7 || {}, "JavaScripts/UI/GameUI"],
[foreign8 || {}, "JavaScripts/UI/HelperUI"],
[foreign9 || {}, "JavaScripts/ui-generate/DefaultUI_generate"],
[foreign10 || {}, "JavaScripts/ui-generate/GameUI_generate"],
[foreign11 || {}, "JavaScripts/ui-generate/HelperUI_generate"],
[foreign12 || {}, "JavaScripts/ui-generate/SayHellow_generate"]]);

exports.MWFileMapping = MWFileMapping;
exports.MWModuleMap = MWModuleMap;
//# sourceMappingURL=game.js.map
